#! /bin/bash
#
# sperren.sh
#
# Version 0.5
# 5.11.2021
########################################################

ausgabe=$(screen -ls)

if [[ "$ausgabe" =~ "mausdaemon_slock" ]]; then
  echo "Abbruch: Lock - Befehl ist schon aktiv!"
  exit 1
else
  screen -d -m -S mausdaemon_slock
  #  sleep 1

  if [ -e "/etc/linuxmuster-client/maus/X11_last_user_display" ]; then
    dp=$(cat /etc/linuxmuster-client/maus/X11_last_user_display)
    if [[ $dp =~ ^:[0-3]$ ]]; then
      screen -S mausdaemon_slock -X stuff $"export DISPLAY=$dp\n"
    else
      screen -S mausdaemon_slock -X stuff $'export DISPLAY=:0\n'
    fi
  else
    screen -S mausdaemon_slock -X stuff $'export DISPLAY=:0\n'
  fi

  screen -S mausdaemon_slock -X stuff $'/usr/bin/eog -f /etc/linuxmuster-client/maus/closed.jpg &\n'
  if [ "$1" = "-u" ]; then
    sleep 1
    screen -S mausdaemon_slock -X stuff $'/usr/bin/X11/xclock -geometry 200x200+20+20 -update 1 &\n'
  fi
  screen -S mausdaemon_slock -X stuff $'/usr/bin/xtrlock \n'
fi

exit 0


